curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
const data = await response.json();
{
"rewards": [
{
"token": "0x...",
"amount": 1000000000000000000,
"amount_float": 1.0,
"current_price_in_underlying": 50.0
}
]
}
Agents
Claim Rewards
Claim accrued rewards for a wallet
POST
/
api
/
v1
/
{chain_id}
/
wallets
/
{wallet}
:claim-rewards
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
const data = await response.json();
{
"rewards": [
{
"token": "0x...",
"amount": 1000000000000000000,
"amount_float": 1.0,
"current_price_in_underlying": 50.0
}
]
}
SDK Alternative: Use
agent.claimRewards() for a simpler TypeScript interface. See SDK docsDescription
Claims accrued rewards (such as protocol incentives) for a specific wallet. Rewards are transferred to the smart account.Path Parameters
integer
required
The blockchain chain ID
string
required
The wallet address
Response
array
curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards" \
-H "X-Partner-API-Key: your-api-key" \
-H "X-Partner-Name: your-partner-name"
const response = await fetch(
'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards',
{
method: 'POST',
headers: {
'X-Partner-API-Key': 'your-api-key',
'X-Partner-Name': 'your-partner-name',
},
}
);
const data = await response.json();
{
"rewards": [
{
"token": "0x...",
"amount": 1000000000000000000,
"amount_float": 1.0,
"current_price_in_underlying": 50.0
}
]
}